libPocuter 1.0 Support library for programming the Pocuter

Public Member Functions | List of all members
PocuterHMAC Class Referenceabstract

HMAC encryption operations. More...

`#include <PocuterHMAC.h>`

## Public Member Functions
virtual bool | isEncryptionKeySet ()=0
virtual bool | setEfuseKey (const uint8_t *masterKey, uint8_t keyLength)=0
virtual uint8_t * | getChipID ()=0
virtual void | calculateChallengeReply (const uint8_t *challenge, uint8_t challengeLength, uint8_t *reply, uint8_t &replyLength)=0
virtual void | calculateAESKey (const uint8_t *challenge, uint8_t challengeLength, uint8_t *reply, uint8_t &replyLength)=0
virtual void | calculateChallengeReplySW (const uint8_t *masterKey, uint8_t keyLength, const uint8_t *challenge, uint8_t challengeLength, uint8_t *reply, uint8_t &replyLength)=0

## Detailed Description

HMAC encryption operations.

## Member Function Documentation

## ◆ calculateAESKey()

virtual void PocuterHMAC::calculateAESKey | ( | const uint8_t * | challenge,
|  | uint8_t | challengeLength,
|  | uint8_t * | reply,
|  | uint8_t & | replyLength
| ) |  |
| pure virtual

## ◆ calculateChallengeReply()

virtual void PocuterHMAC::calculateChallengeReply | ( | const uint8_t * | challenge,
|  | uint8_t | challengeLength,
|  | uint8_t * | reply,
|  | uint8_t & | replyLength
| ) |  |
| pure virtual

## ◆ calculateChallengeReplySW()

virtual void PocuterHMAC::calculateChallengeReplySW | ( | const uint8_t * | masterKey,
|  | uint8_t | keyLength,
|  | const uint8_t * | challenge,
|  | uint8_t | challengeLength,
|  | uint8_t * | reply,
|  | uint8_t & | replyLength
| ) |  |
| pure virtual

## ◆ getChipID()

virtual uint8_t* PocuterHMAC::getChipID | ( |  | ) |
| pure virtual

## ◆ isEncryptionKeySet()

virtual bool PocuterHMAC::isEncryptionKeySet | ( |  | ) |
| pure virtual

## ◆ setEfuseKey()

virtual bool PocuterHMAC::setEfuseKey | ( | const uint8_t * | masterKey,
|  | uint8_t | keyLength
| ) |  |
| pure virtual

The documentation for this class was generated from the following file:

- include/hal/PocuterHMAC.h